kind: pipeline
name: conftest

steps:
- name: policies
  image: instrumenta/conftest:latest
  commands:
  - conftest test -p ./_test/policies ./
- name: deprek8
  image: instrumenta/conftest:latest
  failure: ignore
  commands:
  - conftest test -p ./_test/deprek8 ./
- name: kubeval
  image: garethr/kubeval:latest
  failure: ignore
  commands:
  - kubeval --force-color --strict --ignore-missing-schemas -d ./ -v 1.17
